{Acta cryst. 1962, 15(12), 1219: CoSO4*6H2O. Vyrashch. iz H2O pri 50-55o.
  Izomorf. s MgSeO4*6H2O i MgSO4*6H2O.
  C2/c (=C2h^6), Z=8.
}

 const imya='coso4_6a';

 procedure zad_bazis; var grad:real;
 begin
  grad:=pi/180;
  aa:=10.032; b:=7.233; c:=24.261;
  alpha:=90*grad; beta:=98.37*grad; gamma:=90*grad;
  postr_bazis(aa,b,c,alpha,beta,gamma);
 end;

 procedure zad_simm; begin C2_c; end;

 procedure zad_molec; var i:integer; al:real;
 begin
  {H2O vokr. Co1 i Co2 - vz`aty sosedi, ekviv. iskhodnym, i
    dostroeny cherez simm. do poln. oktaedrov}
  {predp. H-sv`azi na:
    O1-O5-O3; O3-O6-O4; O3-O7-O4; O1-O8-O2; O2-O9-O8; O1-O10-O4;
    ugly v etikh fragm. - 97..126 grad; dliny - 2.65..2.93A dl`a sv`azej na
    sul`fat i 3.00 dl`a sv`azi voda-voda (9-8).
  }
  nmolec:=3;
  with mo[1] do begin
   nat:=5;
   initvect(a[1].r, 0.868, 0.452, 0.1244); a[1].obozn:='S ';
   initvect(a[2].r, 0.778, 0.601, 0.1352); a[2].obozn:='O 1';
   initvect(a[3].r, 0.980, 0.446, 0.1695); a[3].obozn:='O 2';
   initvect(a[4].r, 0.918, 0.492, 0.0698); a[4].obozn:='O 3';
   initvect(a[5].r, 0.799, 0.276, 0.1193); a[5].obozn:='O 4';
   centr:=a[1].r;
  end;
  with mo[2] do begin
   nat:=7;
   initvect(a[1].r, 0, 0, 0); a[1].obozn:='Co1';
   initvect(a[2].r, 0.092,  0.223,  0.0469); a[2].obozn:='O 5';
   initvect(a[3].r, 0.035, -0.175,  0.0673); a[3].obozn:='O 6';
   initvect(a[4].r,-0.195,  0.057,  0.0216); a[4].obozn:='O 7';
   initvect(a[5].r,-0.092, -0.223, -0.0469); a[5].obozn:='O 5a';
   initvect(a[6].r,-0.035,  0.175, -0.0673); a[6].obozn:='O 6a';
   initvect(a[7].r, 0.195, -0.057, -0.0216); a[7].obozn:='O 7a';
   centr:=a[1].r;
  end;
  with mo[3] do begin
   nat:=7;
   initvect(a[1].r, 0.500, 0.449, 0.2500); a[1].obozn:='Co2';
   initvect(a[2].r, 0.385, 0.659, 0.2823); a[2].obozn:='O 8';
   initvect(a[3].r, 0.386, 0.240, 0.2832); a[3].obozn:='O 9';
   initvect(a[4].r, 0.358, 0.449, 0.1771); a[4].obozn:='O 10';
   initvect(a[5].r, 0.615, 0.659, 0.2177); a[5].obozn:='O 8a';
   initvect(a[6].r, 0.614, 0.240, 0.2168); a[6].obozn:='O 9a';
   initvect(a[7].r, 0.642, 0.449, 0.3229); a[7].obozn:='O 10a';
   centr:=a[1].r;
  end;
 end;

 function uslov(s1,s2:s5; r:real):boolean; var g2,g3,g4,g5,g6,x:boolean;
 begin
  g2:=tipy_(s1,s2,'O ','O ') and (r<3.05);
  g3:=tipy_(s1,s2,'N ','O ') and (r<3.0);
  g4:=tipy_(s1,s2,'N ','N ') and (r<3.0);
  g5:=tipy_(s1,s2,'O ','Cl') and (r<3.1);
  g6:=tipy_(s1,s2,'N ','Cl') and (r<3.5);
  x:=abs(r-2.90)>0.01; {iskl`uch. kontakty N...O =2.90 A}
  uslov:=(g2 or g3 or g4 or g5 or g6) {and x};
 end;

 function nado_sv(i,j:integer; r:real):boolean; var g1,g2:boolean;
  function not_H(s:s5):boolean; begin not_H:=copy(s,1,2)<>'H '; end;
 begin
  g1:=(r<1.1) or
    ((r<2.2) and not_H(zapis^[i].obozn) and not_H(zapis^[j].obozn));
  {g2:=iz_razn(i,j) and uslov(zapis^[i].obozn,zapis^[j].obozn,r);}
  g2:=false; {zatyk., t.k. vse H-sv. odnovr. -> trudno rassm.}
  if g1 or g2 then zapomn_r(i,j,r);
  nado_sv:=g1 or g2;
 end;

 function nado_postr;
 {opisana: function nado_postr(q:vect):boolean; forward;}
  var d:real;
 begin
  d:=0.2;
  nado_postr:=(q[1]>=-d) and (q[1]<=1+d)
    and (q[2]>=-d) and (q[2]<=1+d)
    and (q[3]>=-d) and (q[3]<=1+d);
 end;

