{L-triptofan*HCl: Bull.Chem.Soc.Jap. 1966, 39, 2369-78; Takigawa T. et al.}

 const imya='l_try_cl';

 procedure zad_bazis; var grad:real;
 begin
  grad:=pi/180;
  aa:=7.45; b:=5.30; c:=14.67;
  alpha:=90*grad; beta:=98.80*grad; gamma:=90*grad;
  postr_bazis(aa,b,c,alpha,beta,gamma);
 end;

 procedure zad_simm; begin P2_1; end;

 procedure zad_molec; var i:integer;
 begin
  nmolec:=2;
  with mo[2] do begin
   nat:=1;
   initvect(a[1].r,0.1130, 0.2500, 0.1202); a[1].obozn:='Cl';
   centr:=a[1].r;
  end;
  with mo[1] do begin
   nat:=15{28};
   initvect(a[1].r,0.5668, 0.5872, 0.1091); a[1].obozn:='C 1';
   initvect(a[2].r,0.6900, 0.8211, 0.1262); a[2].obozn:='C 2';
   initvect(a[3].r,0.7266, 0.9126, 0.2270); a[3].obozn:='C 3';
   initvect(a[4].r,0.8132, 0.7138, 0.2956); a[4].obozn:='C 4';
   initvect(a[5].r,0.7321, 0.5178, 0.3309); a[5].obozn:='C 5';
   initvect(a[6].r,1.0224, 0.4963, 0.3963); a[6].obozn:='C 6';
   initvect(a[7].r,1.0026, 0.7009, 0.3372); a[7].obozn:='C 7';
   initvect(a[8].r,1.1515, 0.8579, 0.3273); a[8].obozn:='C 8';
   initvect(a[9].r,1.3164, 0.7833, 0.3789); a[9].obozn:='C 9';
   initvect(a[10].r,1.3375, 0.5813, 0.4396); a[10].obozn:='C 10';
   initvect(a[11].r,1.1890, 0.4255, 0.4475); a[11].obozn:='C 11';
   initvect(a[12].r,0.8669, 0.7554, 0.0943); a[12].obozn:='N 1';
   initvect(a[13].r,0.8534, 0.3816, 0.3920); a[13].obozn:='N 2';
   initvect(a[14].r,0.4185, 0.6361, 0.1456); a[14].obozn:='O 1';
   initvect(a[15].r,0.5996, 0.4068, 0.0717); a[15].obozn:='O 2';
   initvect(a[16].r,0.326, 0.486, 0.135); a[16].obozn:='H 1';
   initvect(a[17].r,0.647, 0.949, 0.074); a[17].obozn:='H 2';
   initvect(a[18].r,0.869, 0.747, 0.025); a[18].obozn:='H 3';
   initvect(a[19].r,0.947, 0.581, 0.105); a[19].obozn:='H 4';
   initvect(a[20].r,0.950, 0.901, 0.103); a[20].obozn:='H 5';
   initvect(a[21].r,0.642, 1.051, 0.249); a[21].obozn:='H 6';
   initvect(a[22].r,0.817, 1.064, 0.231); a[22].obozn:='H 7';
   initvect(a[23].r,1.136, 1.013, 0.280); a[23].obozn:='H 8';
   initvect(a[24].r,1.423, 0.890, 0.371); a[24].obozn:='H 9';
   initvect(a[25].r,1.467, 0.506, 0.481); a[25].obozn:='H 10';
   initvect(a[26].r,1.200, 0.263, 0.490); a[26].obozn:='H 11';
   initvect(a[27].r,0.826, 0.213, 0.429); a[27].obozn:='H 12';
   initvect(a[28].r,0.600, 0.456, 0.312); a[28].obozn:='H 13';
   centr:=a[6].r;
  end;
 end;

 function uslov(s1,s2:s5; r:real):boolean; var g2,g3,g4,g5,g6,x:boolean;
 begin
  g2:=tipy_(s1,s2,'O ','O ') and (r<3.0);
  g3:=tipy_(s1,s2,'N ','O ') and (r<3.0);
  g4:=tipy_(s1,s2,'N ','N ') and (r<3.0);
  g5:=tipy_(s1,s2,'O ','Cl') and (r<3.3);
  g6:=tipy_(s1,s2,'N ','Cl') and (r<3.3);
  {x:=abs(r-2.90)>0.01;} {iskl`uch. kontakty N...O =2.90 A}
  uslov:=g2 or g3 or g4 or g5 or g6;
 end;

 function nado_sv(i,j:integer; r:real):boolean; var g1,g2:boolean;
  function not_H(s:s5):boolean; begin not_H:=copy(s,1,2)<>'H '; end;
 begin
  g1:={(r<1.1) or}
    ((r<2.0) and not_H(zapis^[i].obozn) and not_H(zapis^[j].obozn));
  g2:=iz_razn(i,j) and uslov(zapis^[i].obozn,zapis^[j].obozn,r);
  if g1 or g2 then zapomn_r(i,j,r);
  nado_sv:=g1 or g2;
 end;

 function nado_postr; {opisana: function nado_postr(q:vect):boolean; forward;}
  var d:real;
 begin
  d:=0.5;
  nado_postr:=(q[1]>=-d) and (q[1]<=(1+d))
    and (q[2]>=-d) and (q[2]<=(1+d))
    and (q[3]>=-d) and (q[3]<=(1+d));
 end;

