{Acta cryst. 1962, 15(12), 1271: NH4ClO3;
  utv.: R3m, Z=1.
  nach. pribl. - na osn. predp. ob izomorf. s KBrO3 (piroel.):
  Cl 0.5 0.5 0.5;  O 0.566 0.566 0.176;  N 0 0 0;
  okonch.:  Cl - 0.5000;  O - 0.588 i 0.179;  N - 0.040 .
  Utv.: vokrug NH4 - 12 ot. O: 3 iz ClO3 vverkhu, po 2 iz 3 ClO3
  (na 0.48 vyshe) i po 1 iz 3 ClO3 (na 2.24 nizhe).
  Real`no R3m byt` ne mozhet - tam S6, i ClO3 -> ClO6, N -> tesn. pary N2;
  ochev., osh. - nado P3m1 (P31m ispyt. - ne podkh.).
  Dalee, rasst. ne vosproizv.: rasst. vdol` C3 mezhdu slojami iz at. O -
  sovp. s ukaz. tochn., no N..O - rezko neprav.
  Udajotsa uluchsh., prin`av 0.07 vm. 0.04, khot`a odnim parametrom
  podogn. odnovr. dazhe 2 iz 3 rasst. nel`z`a. Ostavleno 0.07.
}
 const imya='nh4clo3';

 procedure zad_bazis; var grad:real;
 begin
  grad:=pi/180;
  aa:=4.44; b:=4.44; c:=4.44;
  alpha:=86.4*grad; beta:=86.4*grad; gamma:=86.4*grad;
  postr_bazis(aa,b,c,alpha,beta,gamma);
 end;

 procedure zad_simm; begin P3m1; end;

 procedure zad_molec; var i:integer; al:real; d:real;
 begin d:=0.5;
  nmolec:=2;
  with mo[2] do begin
   nat:=1;
   initvect(a[1].r, d+0.070, d+0.070, d+0.070); a[1].obozn:='N ';
   centr:=a[1].r;
  end;
  with mo[1] do begin
   nat:=4;
   initvect(a[1].r, d+0.5, d+0.5, d+0.5); a[1].obozn:='Cl';
   initvect(a[2].r, d+0.588, d+0.588, d+0.179); a[2].obozn:='O ';
   initvect(a[3].r, d+0.588, d+0.179, d+0.588); a[3].obozn:='O ';
   initvect(a[4].r, d+0.179, d+0.588, d+0.588); a[4].obozn:='O ';
   centr:=a[1].r;
  end;
 end;

 function uslov(s1,s2:s5; r:real):boolean; var g2,g3,g4,g5,g6,x:boolean;
 begin
  g2:=tipy_(s1,s2,'O ','O ') and (r<3.0);
  g3:=tipy_(s1,s2,'N ','O ') and (r<3.5);
  g4:=tipy_(s1,s2,'N ','N ') and (r<3.0);
  g5:=tipy_(s1,s2,'O ','Cl') and (r<3.1);
  g6:=tipy_(s1,s2,'N ','Cl') and (r<3.5);
  x:=abs(r-2.90)>0.01; {iskl`uch. kontakty N...O =2.90 A}
  uslov:=(g2 or g3 or g4 or g5 or g6) {and x};
 end;

 function nado_sv(i,j:integer; r:real):boolean; var g1,g2:boolean;
  function not_H(s:s5):boolean; begin not_H:=copy(s,1,2)<>'H '; end;
 begin
  g1:=(r<1.1) or
    ((r<2.0) and not_H(zapis^[i].obozn) and not_H(zapis^[j].obozn));
  g2:=iz_razn(i,j) and uslov(zapis^[i].obozn,zapis^[j].obozn,r);
  g2:=false; {zatyk. t.k. N..O och. mnogo}
  if g1 or g2 then zapomn_r(i,j,r);
  nado_sv:=g1 or g2;
 end;

 function nado_postr;
 {opisana: function nado_postr(q:vect):boolean; forward;}
  var d:real;
 begin
  d:=0.3;
  nado_postr:=(q[1]>=-d) and (q[1]<=1+d)
    and (q[2]>=-d) and (q[2]<=1+d)
    and (q[3]>=-d) and (q[3]<=1+d);
 end;

