{H.G.Smith et al., Acta cryst. 1962, 15(12), 1201: NH4ClO4;
  nejtronogr.; jad. pl-st` -> NH4+ - sluchajn. pozits.,
  predp. - free or nearly free rotation.
}

 const imya='nh4clo4';

 procedure zad_bazis; var grad:real;
 begin
  grad:=pi/180;
  aa:=9.20; b:=5.82; c:=7.45;
  alpha:=90*grad; beta:=90*grad; gamma:=90*grad;
  postr_bazis(aa,b,c,alpha,beta,gamma);
 end;

 procedure zad_simm; begin Pnma; end;

 procedure zad_molec; var i:integer; al:real;
 begin
  nmolec:=2;
  with mo[1] do begin
   nat:=1;
   initvect(a[1].r, 0.182, 0.750, 0.166); a[1].obozn:='N ';
   centr:=a[1].r;
  end;
  with mo[2] do begin
   nat:=5;
   initvect(a[1].r, 0.432, 0.250, 0.193); a[1].obozn:='Cl';
   initvect(a[2].r, 0.314, 0.250, 0.061); a[2].obozn:='O 1';
   initvect(a[3].r, 0.570, 0.250, 0.107); a[3].obozn:='O 2';
   initvect(a[4].r, 0.418, 0.053, 0.303); a[4].obozn:='O 3';
   initvect(a[5].r, 0.418, 0.447, 0.303); a[5].obozn:='O 4';
   centr:=a[1].r;
  end;
 end;

 function uslov(s1,s2:s5; r:real):boolean; var g2,g3,g4,g5,g6,x:boolean;
 begin
  g2:=tipy_(s1,s2,'O ','O ') and (r<3.0);
  g3:=tipy_(s1,s2,'N ','O ') and (r<3.5); { -> 9 N..O, vse <3.25A}
  g4:=tipy_(s1,s2,'N ','N ') and (r<3.0);
  g5:=tipy_(s1,s2,'O ','Cl') and (r<3.1);
  g6:=tipy_(s1,s2,'N ','Cl') and (r<3.5);
  x:=abs(r-2.90)>0.01; {iskl`uch. kontakty N...O =2.90 A}
  uslov:=(g2 or g3 or g4 or g5 or g6) {and x};
 end;

 function nado_sv(i,j:integer; r:real):boolean; var g1,g2:boolean;
  function not_H(s:s5):boolean; begin not_H:=copy(s,1,2)<>'H '; end;
 begin
  g1:=(r<1.1) or
    ((r<2.0) and not_H(zapis^[i].obozn) and not_H(zapis^[j].obozn));
  g2:=iz_razn(i,j) and uslov(zapis^[i].obozn,zapis^[j].obozn,r);
  g2:=false; {zatyk., t.k. mnogo N..O}
  if g1 or g2 then zapomn_r(i,j,r);
  nado_sv:=g1 or g2;
 end;

 function nado_postr;
 {opisana: function nado_postr(q:vect):boolean; forward;}
  var d:real;
 begin
  d:=0.3;
  nado_postr:=(q[1]>=-d) and (q[1]<=1+d)
    and (q[2]>=-d) and (q[2]<=1+d)
    and (q[3]>=-d) and (q[3]<=1+d);
 end;

