{D. van der Helm et al., Acta cryst. 1962, 15(12), 1227: rodanin.}

 const imya='rodanin';

 procedure zad_bazis; var grad:real;
 begin
  grad:=pi/180;
  aa:=10.02; b:=7.67; c:=7.28;
  alpha:=90*grad; beta:=(102+38/60)*grad; gamma:=90*grad;
  postr_bazis(aa,b,c,alpha,beta,gamma);
 end;

 procedure zad_simm; begin P2_1_n; end;

 procedure zad_molec; var i:integer; al:real;
 begin
  nmolec:=1;
  with mo[1] do begin
   nat:=10;
   initvect(a[1].r, 0.410, 0.043, 0.173); a[1].obozn:='S 1';
   initvect(a[2].r, 0.248, 0.036, 0.473); a[2].obozn:='S 2';
   initvect(a[3].r, 0.366, 0.129, 0.358); a[3].obozn:='C 1';
   initvect(a[4].r, 0.371, 0.336, 0.596); a[4].obozn:='C 2';
   initvect(a[5].r, 0.270, 0.209, 0.648); a[5].obozn:='C 3';
   initvect(a[6].r, 0.417, 0.283, 0.440); a[6].obozn:='N ';
   initvect(a[7].r, 0.409, 0.470, 0.684); a[7].obozn:='O ';
   initvect(a[8].r, 0.510, 0.354, 0.440); a[8].obozn:='H 1';
   initvect(a[9].r, 0.317, 0.161, 0.789); a[9].obozn:='H 2';
   initvect(a[10].r, 0.176, 0.242, 0.695); a[10].obozn:='H 3';
   for i:=1 to 3 do centr[i]:=(a[3].r[i]+a[5].r[i])/2;
  end;
 end;

 function uslov(s1,s2:s5; r:real):boolean; var g2,g3,g4,g5,g6,x:boolean;
 begin
  g2:=tipy_(s1,s2,'O ','O ') and (r<3.0);
  g3:=tipy_(s1,s2,'N ','O ') and (r<3.0);
  g4:=tipy_(s1,s2,'N ','N ') and (r<3.0);
  g5:=tipy_(s1,s2,'O ','S ') and (r<3.1);
  g6:=tipy_(s1,s2,'N ','S ') and (r<3.5);
  x:=abs(r-2.2981)>0.001; {iskl`uch. vnutrimol. rasst. N...O}
  uslov:=(g2 or g3 or g4 or g5 or g6) and x;
 end;

 function nado_sv(i,j:integer; r:real):boolean; var g1,g2:boolean;
  function not_H(s:s5):boolean; begin not_H:=copy(s,1,2)<>'H '; end;
 begin
  g1:=(r<1.1) or
    ((r<2.0) and not_H(zapis^[i].obozn) and not_H(zapis^[j].obozn));
  g2:=iz_razn(i,j) and uslov(zapis^[i].obozn,zapis^[j].obozn,r);
  if g1 or g2 then zapomn_r(i,j,r);
  nado_sv:=g1 or g2;
 end;

 function nado_postr;
 {opisana: function nado_postr(q:vect):boolean; forward;}
  var d:real;
 begin
  d:=0.4;
  nado_postr:=(q[1]>=-d) and (q[1]<=1+d)
    and (q[2]>=-d) and (q[2]<=1+d)
    and (q[3]>=-d) and (q[3]<=1+d);
 end;

